Appearance
Interview
POST
/studies/{study_id}/interview
Start interviews for a study.
Two modes:
- Use existing GSUs: Provide 'syntheticUsers' (List[UUID])
- Generate + Interview: Provide 'quantity' only
In Mode 2, audience/problems/research_goal/files are automatically pulled from the study.
Authorizations
HTTPBearer
Use your API token
Type
HTTP (bearer)
Parameters
Path Parameters
study_id*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON
{
"syntheticUsers": [
"string"
],
"quantity": 0,
"customScript": "string",
"ongoingWalkthrough": false
}
Responses
Successful Response
application/json
id
string
Required
Format
"uuid"description
string |null
Required
projectId
string
Required
Format
"uuid"createdAt
string
Required
Format
"date-time"bookmarked
boolean
Required
language
string
Required
audiences
string[]
Required
audiencesObj
object[]
Required
problems
string[]
Required
problemsObj
object[]
Required
files
string[]
Required
planId
string |null
Required
progress
object |null
status
string
Required
solutionId
string |null
solution
object |null
researchGoalId
string |null
researchGoal
object |null
knowledgeGraphs
string[]
strategy
string
Required
Valid values
"solution_feedback""problem_exploration""custom_script""dynamic_interview""ethnographic_research""concept_study"interviewCount
integer |null
interviews
string[]
Required
summaries
string[]
Required